File: extra

package info (click to toggle)
gst-plugins-ugly0.10 0.10.8-1
  • links: PTS
  • area: main
  • in suites: lenny
  • size: 6,920 kB
  • ctags: 3,310
  • sloc: ansic: 35,465; sh: 9,814; perl: 1,476; xml: 845; cpp: 641; makefile: 535; python: 465; sed: 16
file content (60 lines) | stat: -rw-r--r-- 1,334 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
#!/bin/sh

if [ $# -lt 2 ]; then
   echo "usage: $1 deps|control plugin"
   exit 1
fi

case $1 in
  deps)
    case $2 in
      amrnb)
        echo "libamrnb-dev | amrnb-dev"
        ;;
      lame)
        echo "libmp3lame-dev (>= 3.91) | liblame-dev (>= 3.91) | lame-dev (>= 3.91)"
        ;;
      *)
        echo "ERROR invalid plugin: add your plugin to debian/extra"
        exit 1
        ;;
    esac ;;

  control)
    case $2 in
      amrnb)
cat << EOF
Package: @GST_PKGNAME@-amrnb
Architecture: any
Section: libs
Depends: \${shlibs:Depends}, @GST_LIB@
Description: amrnb plugin for GStreamer
 This GStreamer plugin uses amrnb to encode audio stream into a floating-point
 Adaptive Multi-Rate (AMR) speech codec compressed audio stream.
 .
  amrnb Homepage: http://www.penguin.cz/~utx/amr

EOF
;;
      lame)
cat << EOF
Package: @GST_PKGNAME@-lame
Architecture: any
Section: libs
Depends: \${shlibs:Depends}, @GST_LIB@
Description: LAME plugin for GStreamer
 This GStreamer plugin uses LAME to encode audio stream into a MPEG-1 layer 3
 compressed audio stream.  This is commonly known as the "mp3" format.
 .
  LAME Homepage: http://lame.sourceforge.net/

EOF
;;
      *)
        echo "ERROR invalid plugin: add your plugin to debian/extra"
        exit 1
        ;;
    esac ;;
  *) echo "ERROR use deps or control" ;;
esac